Thanks Thanks:  1
Ergebnis 1 bis 5 von 5
  1. #1
    Mitglied
    Registriert seit
    17.01.2014
    Beiträge
    64
    Total Downloaded
    363,2 KB
    Total Downloaded
    363,2 KB
    ReceiverDankeAktivitäten

    Slim OpenATV down a bit.

    Dear devs,

    Would it be possible to drop some openatv-base dependencies?
    For example ofgwrite (only works on VU), dFlash (only for dreambox) etc...
    They take up space and not everyone needs to make a flash backup.
    And if they do, then they can simply install them manually from the software-browser.

    •   Alt Advertising

       

  2. #2
    Avatar von arn354
    Registriert seit
    06.04.2013
    Beiträge
    2.905
    Total Downloaded
    147,3 KB
    Total Downloaded
    147,3 KB
    ReceiverDankeAktivitäten
    ofgwrite (only works on VU) - NOT TRUE!
    dFlash - is allready only installed on Dreambox
    Code:
    ${@base_contains("MACHINE_FEATURES", "dreambox", "enigma2-plugin-extensions-dflash mtd-utils-jffs2", "", d)} \
    Grüßle


  3. #3
    Mitglied
    Registriert seit
    06.04.2013
    Beiträge
    32
    Total Downloaded
    15,56 MB
    Total Downloaded
    15,56 MB
    ReceiverDankeAktivitäten
    How about Enhanced Movie Center, can it be removed without messing the image?
    How about Opera?

  4. #4
    Avatar von Captain
    Registriert seit
    03.04.2013
    Beiträge
    11.642
    Total Downloaded
    162,35 MB
    Total Downloaded
    162,35 MB
    ReceiverDankeAktivitäten
    ofgwrite now for dreambox build is now removed: https://github.com/oe-alliance/oe-al...7704bdbc06d0a3


    openATV we are open Source

    Boykott GPL violator

  5. Thanks MastaG bedankten sich
  6. #5
    Mitglied
    Registriert seit
    17.01.2014
    Beiträge
    64
    Themenstarter
    Total Downloaded
    363,2 KB
    Total Downloaded
    363,2 KB
    ReceiverDankeAktivitäten
    Thx Captain

    However the package is still depended on by openatv-base:

    Code:
    root@dm800se:~# opkg remove ofgwrite
    No packages removed.
    Collected errors:
     * print_dependents_warning: Package ofgwrite is depended upon by packages:
     * print_dependents_warning:    openatv-base
     * print_dependents_warning: These might cease to work if package ofgwrite is removed.
    EDIT:
    Instead of removing them, can you just edit the dependencies so they don't get claimed by openatv-base?
    Things like dFlash, mkfs.jffs2, nfiwrite, buildimage, ofgwrite... al kinds of flash-backup tools are all part of openatv-base.
    It's ok to have them instaled by default but it should be nice to be able to remove them

    EDIT2:
    Has to wait for the repo's to sync for ofgwrite... All good now
    Geändert von MastaG (28.03.2014 um 14:57 Uhr)


Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
Diese Website benutzt Cookies
Wir benutzen Cookies um Sitzungsinformationen zu speichern. Dies erleichtert es uns z.B. Dich an Deine Login zu erinnern, Einstellungen der Webseite zu speichern, Inhalte und Werbung zu personalisieren, Social Media Funktionen anzubieten und unser Datenaufkommen zu analysieren. Wir teilen diese Informationen ebenfalls mit unseren Social Media-, Werbe- und Analysepartnern.
     
Alle Zeitangaben in WEZ +1. Es ist jetzt 02:49 Uhr.
Powered by vBulletin® Version 4.2.5 (Deutsch)
Copyright ©2018 Adduco Digital e.K. und vBulletin Solutions, Inc. Alle Rechte vorbehalten.
Resources saved on this page: MySQL 11,11%
Parts of this site powered by vBulletin Mods & Addons from DragonByte Technologies Ltd. (Details)
vBulletin Skin By: PurevB.com